org.apache.poi.ss.usermodel

## Class CellCopyPolicy

- java.lang.Object
- - org.apache.poi.ss.usermodel.CellCopyPolicy

-     @Beta
      public class CellCopyPolicy
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CellCopyPolicy.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_CONDENSE_ROWS_POLICY`
    `static boolean` | `DEFAULT_COPY_CELL_FORMULA_POLICY`
    `static boolean` | `DEFAULT_COPY_CELL_STYLE_POLICY`
    `static boolean` | `DEFAULT_COPY_CELL_VALUE_POLICY`
    `static boolean` | `DEFAULT_COPY_HYPERLINK_POLICY`
    `static boolean` | `DEFAULT_COPY_MERGED_REGIONS_POLICY`
    `static boolean` | `DEFAULT_COPY_ROW_HEIGHT_POLICY`
    `static boolean` | `DEFAULT_MERGE_HYPERLINK_POLICY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellCopyPolicy()` Default CellCopyPolicy, uses default policy For custom CellCopyPolicy, use `CellCopyPolicy.Builder` class
    `CellCopyPolicy(CellCopyPolicy other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellCopyPolicy.Builder` | `createBuilder()`
    `boolean` | `isCondenseRows()` If condenseRows is true, a discontinuities in srcRows will be removed when copied to destination For example: Sheet.copyRows({Row(1), Row(2), Row(5)}, 11, policy) results in rows 1, 2, and 5 being copied to rows 11, 12, and 13 if condenseRows is True, or rows 11, 11, 15 if condenseRows is false
    `boolean` | `isCopyCellFormula()`
    `boolean` | `isCopyCellStyle()`
    `boolean` | `isCopyCellValue()`
    `boolean` | `isCopyHyperlink()`
    `boolean` | `isCopyMergedRegions()`
    `boolean` | `isCopyRowHeight()`
    `boolean` | `isMergeHyperlink()`
    `void` | `setCondenseRows(boolean condenseRows)`
    `void` | `setCopyCellFormula(boolean copyCellFormula)`
    `void` | `setCopyCellStyle(boolean copyCellStyle)`
    `void` | `setCopyCellValue(boolean copyCellValue)`
    `void` | `setCopyHyperlink(boolean copyHyperlink)`
    `void` | `setCopyMergedRegions(boolean copyMergedRegions)`
    `void` | `setCopyRowHeight(boolean copyRowHeight)`
    `void` | `setMergeHyperlink(boolean mergeHyperlink)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COPY_CELL_VALUE_POLICY

          public static final boolean DEFAULT_COPY_CELL_VALUE_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_COPY_CELL_STYLE_POLICY

          public static final boolean DEFAULT_COPY_CELL_STYLE_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_COPY_CELL_FORMULA_POLICY

          public static final boolean DEFAULT_COPY_CELL_FORMULA_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_COPY_HYPERLINK_POLICY

          public static final boolean DEFAULT_COPY_HYPERLINK_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_MERGE_HYPERLINK_POLICY

          public static final boolean DEFAULT_MERGE_HYPERLINK_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_COPY_ROW_HEIGHT_POLICY

          public static final boolean DEFAULT_COPY_ROW_HEIGHT_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_CONDENSE_ROWS_POLICY

          public static final boolean DEFAULT_CONDENSE_ROWS_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_COPY_MERGED_REGIONS_POLICY

          public static final boolean DEFAULT_COPY_MERGED_REGIONS_POLICY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CellCopyPolicy

          public CellCopyPolicy()

      Default CellCopyPolicy, uses default policy For custom CellCopyPolicy, use `CellCopyPolicy.Builder` class

    - #### CellCopyPolicy

          public CellCopyPolicy(CellCopyPolicy other)

      Copy constructor
      Parameters:
        `other` - policy to copy

  - ### Method Detail

    - #### createBuilder

          public CellCopyPolicy.Builder createBuilder()

    - #### isCopyCellValue

          public boolean isCopyCellValue()

      Returns:
        the copyCellValue

    - #### setCopyCellValue

          public void setCopyCellValue(boolean copyCellValue)

      Parameters:
        `copyCellValue` - the copyCellValue to set

    - #### isCopyCellStyle

          public boolean isCopyCellStyle()

      Returns:
        the copyCellStyle

    - #### setCopyCellStyle

          public void setCopyCellStyle(boolean copyCellStyle)

      Parameters:
        `copyCellStyle` - the copyCellStyle to set

    - #### isCopyCellFormula

          public boolean isCopyCellFormula()

      Returns:
        the copyCellFormula

    - #### setCopyCellFormula

          public void setCopyCellFormula(boolean copyCellFormula)

      Parameters:
        `copyCellFormula` - the copyCellFormula to set

    - #### isCopyHyperlink

          public boolean isCopyHyperlink()

      Returns:
        the copyHyperlink

    - #### setCopyHyperlink

          public void setCopyHyperlink(boolean copyHyperlink)

      Parameters:
        `copyHyperlink` - the copyHyperlink to set

    - #### isMergeHyperlink

          public boolean isMergeHyperlink()

      Returns:
        the mergeHyperlink

    - #### setMergeHyperlink

          public void setMergeHyperlink(boolean mergeHyperlink)

      Parameters:
        `mergeHyperlink` - the mergeHyperlink to set

    - #### isCopyRowHeight

          public boolean isCopyRowHeight()

      Returns:
        the copyRowHeight

    - #### setCopyRowHeight

          public void setCopyRowHeight(boolean copyRowHeight)

      Parameters:
        `copyRowHeight` - the copyRowHeight to set

    - #### isCondenseRows

          public boolean isCondenseRows()

      If condenseRows is true, a discontinuities in srcRows will be removed when copied to destination For example: Sheet.copyRows({Row(1), Row(2), Row(5)}, 11, policy) results in rows 1, 2, and 5 being copied to rows 11, 12, and 13 if condenseRows is True, or rows 11, 11, 15 if condenseRows is false
      Returns:
        the condenseRows

    - #### setCondenseRows

          public void setCondenseRows(boolean condenseRows)

      Parameters:
        `condenseRows` - the condenseRows to set

    - #### isCopyMergedRegions

          public boolean isCopyMergedRegions()

      Returns:
        the copyMergedRegions

    - #### setCopyMergedRegions

          public void setCopyMergedRegions(boolean copyMergedRegions)

      Parameters:
        `copyMergedRegions` - the copyMergedRegions to set

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.